package WheelOfFortune.game.player;

import java.io.Serializable;


// Source file: U:\\cse308\\asn8\\src\\game\\player\\StrategyPolicy.java


public class StrategyPolicy implements Serializable{
   
 /**
  * @roseuid 41892D9D00E1
  */
 public StrategyPolicy() {}
   
 /**
  * @param int lvl
  * @return CPUPlayerStrategy
  * @roseuid 41892DA00370
  */
 public CPUPlayerStrategy getStrategy(int lvl) {
 	CPUPlayerStrategy strat = null;
 	if(lvl == Player.EASY_CPU_PLAYER)
 		strat = new EasyCPUPlayerStrategy();
 	else if(lvl == Player.NORMAL_CPU_PLAYER)
 		strat = new NormalCPUPlayerStrategy();
 	else if(lvl == Player.HARD_CPU_PLAYER)
 		strat = new HardCPUPlayerStrategy();
 	return strat;
 }
}
